/*
 * 文 件 名:  ChassisContains
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2019/8/7
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.citybrain.commons.base.bean;

/**
 * 常量类
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2019/8/7]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public final class Contains {
    /**
     * 私有构造防止类被无意义实例化
     */
    private Contains() {
        throw new AssertionError();
    }

    /**
     * -1
     */
    public static final int NEGATIVE_ONE = -1;

    /**
     * 数字0
     */
    public static final int ZERO = 0;

    /**
     * 数字1
     */
    public static final int ONE = 1;

    /**
     * 数字2
     */
    public static final int TWO = 2;

    /**
     * 数字3
     */
    public static final int THREE = 3;

    /**
     * 数字4
     */
    public static final int FOUR = 4;

    /**
     * 数字5
     */
    public static final int FIVE = 5;

    /**
     * 系统默认时间格式
     */
    public static final String DEFAULT_TIME_FORMAT = "yyyyMMddHHmmss";

    /**
     * 系统默认时间格式
     */
    public static final String DEFAULT_DATE_FORMAT = "yyyyMMdd";

    /**
     * 通用时间展示格式
     */
    public static final String COMMON_TIME_FORMAT = "yyyy-MM-dd HH:mm:ss";

    /**
     * 通用日期展示格式
     */
    public static final String COMMON_DATE_FORMAT = "yyyy-MM-dd";

    /**
     * 时/分/秒初始
     */
    public static final String DAY_START_TIME = "000000";

    /**
     * 时/分/秒末尾
     */
    public static final String DAY_END_TIME = "235959";

    /**
     * 补秒位(最小)
     */
    public static final String SECOND_START_TIME = "00";

    /**
     * 补秒位(最大)
     */
    public static final String SECOND_END_TIME = "59";
}