/*
 * 文 件 名:  WorkbookStyle
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2019/8/13
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.citybrain.commons.base.bean.poi;

import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.ss.util.CellRangeAddress;

/**
 * 工作簿配置
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2019/8/13]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class WorkbookConfig {
    private int headWidth;

    /**
     * 合并单元格对象
     */
    private CellRangeAddress callRangeAddress;

    /**
     * 头标题样式
     */
    private HSSFCellStyle headStyle;

    /**
     * 列标题样式
     */
    private HSSFCellStyle colHeadStyle;

    /**
     * 列样式
     */
    private HSSFCellStyle colStyle;

    /**
     * 脚标样式
     */
    private HSSFCellStyle colFooterStyle;

    public int getHeadWidth() {
        return headWidth;
    }

    public void setHeadWidth(int headWidth) {
        this.headWidth = headWidth;
    }

    public CellRangeAddress getCallRangeAddress() {
        return callRangeAddress;
    }

    public void setCallRangeAddress(CellRangeAddress callRangeAddress) {
        this.callRangeAddress = callRangeAddress;
    }

    public HSSFCellStyle getHeadStyle() {
        return headStyle;
    }

    public void setHeadStyle(HSSFCellStyle headStyle) {
        this.headStyle = headStyle;
    }

    public HSSFCellStyle getColHeadStyle() {
        return colHeadStyle;
    }

    public void setColHeadStyle(HSSFCellStyle colHeadStyle) {
        this.colHeadStyle = colHeadStyle;
    }

    public HSSFCellStyle getColStyle() {
        return colStyle;
    }

    public void setColStyle(HSSFCellStyle colStyle) {
        this.colStyle = colStyle;
    }

    public HSSFCellStyle getColFooterStyle() {
        return colFooterStyle;
    }

    public void setColFooterStyle(HSSFCellStyle colFooterStyle) {
        this.colFooterStyle = colFooterStyle;
    }
}